# TemporalFilesRoutingConfigurator

class TemporalFilesRoutingConfigurator (subpath: String = DefaultTemporalFilesSubPath, temporalFilesUtilizer: TemporalFilesRoutingConfigurator.TemporalFilesUtilizer = TemporalFilesUtilizer, filesFlowReplay: Int = 0, filesFlowExtraBufferCapacity: Int = Int.MAX_VALUE, filesFlowOnBufferOverflow: BufferOverflow = BufferOverflow.SUSPEND) : ApplicationRoutingConfigurator.Element (source)

## Constructors

TemporalFilesRoutingConfigurator
Link copied to clipboard
constructor(subpath: String = DefaultTemporalFilesSubPath, temporalFilesUtilizer: TemporalFilesRoutingConfigurator.TemporalFilesUtilizer = TemporalFilesUtilizer, filesFlowReplay: Int = 0, filesFlowExtraBufferCapacity: Int = Int.MAX_VALUE, filesFlowOnBufferOverflow: BufferOverflow = BufferOverflow.SUSPEND)

## Types

TemporalFilesUtilizer
Link copied to clipboard
interface TemporalFilesUtilizer

## Properties

utilizerJob
Link copied to clipboard
val utilizerJob : Job

## Functions

getAndRemoveTemporalFile
Link copied to clipboard
suspend fun getAndRemoveTemporalFile (temporalFileId: TemporalFileId ): MPPFile ?
getTemporalFile
Link copied to clipboard
fun getTemporalFile (temporalFileId: TemporalFileId ): MPPFile ?
invoke
Link copied to clipboard
open operator override fun ERROR CLASS: Symbol not found for Route. invoke ()
removeTemporalFile
Link copied to clipboard
suspend fun removeTemporalFile (temporalFileId: TemporalFileId )